Skip to content

List proxy error logs

GET
/analytics/logs
curl --request GET \
--url 'https://api.proxyrequest.com/api/v1/analytics/logs?city=los_angeles&country=us&end=2026-07-02T00%3A00%3A00Z&hostname=example.com%2Capi.example.com&ledger_id=550e8400-e29b-41d4-a716-446655440005&package_id=550e8400-e29b-41d4-a716-446655440002&protocol=http&region=california&start=2026-07-01T00%3A00%3A00Z&timezone=UTC&user_id=550e8400-e29b-41d4-a716-446655440001' \
--header 'Authorization: Bearer <token>'

Returns request-level proxy errors with server, client, targeting, package, and error-code context.

city
string

Normalized city targeting code. country and region are required.

Examples
ExampleLosAngeles

Los Angeles

los_angeles
country
string

Lowercase ISO 3166-1 alpha-2 country code.

Examples
ExampleUnitedStates

United States

us
end
string format: date-time

Exclusive end of the reporting window.

Examples
ExampleEndTime

End time

2026-07-02T00:00:00Z
error_code
integer

Restrict results to one non-negative proxy error code.

hostname
string

Comma-separated hostnames to include.

Examples
ExampleHostnames
example.com,api.example.com
ledger_id
string format: uuid

Restrict results to one data ledger when supported.

Examples
ExampleLedger
550e8400-e29b-41d4-a716-446655440005
limit
integer

Maximum records returned on this page.

offset
integer

Zero-based number of matching records to skip.

package_id
string format: uuid

Restrict results to one purchased package.

Examples
ExamplePackage
550e8400-e29b-41d4-a716-446655440002
protocol
string
Allowed values: http socks5

Proxy protocol: http or socks5.

region
string

Normalized region targeting code. country is required.

Examples
ExampleCalifornia
california
start
string format: date-time

Inclusive start of the reporting window. Defaults to a recent window.

Examples
ExampleStartTime

Start time

2026-07-01T00:00:00Z
timezone
string

IANA timezone used for bucket boundaries. Defaults to UTC.

Examples
ExampleUTC
UTC
user_id
string format: uuid

Restrict results to the current account or an accessible sub-user.

Examples
ExampleUser
550e8400-e29b-41d4-a716-446655440001

The operation completed successfully.

Media typeapplication/json
object
count
required
integer
next
required
string format: uri
nullable
previous
required
string format: uri
nullable
timezone
required
string
start
required
string format: date-time
end
required
string format: date-time
results
required
Array<object>
object
id
required
integer
server_ip
required
string
nullable
user_ip
required
string
nullable
protocol
required
string
method
required
string
user_id
required
string
reseller_id
required
string
username
required
string
hostname
required
string
status_code
required
integer
error_code
required
integer
error_message
required
string
country
required
string
region
required
string
city
required
string
asn
required
string
level
required
string
is_session
required
boolean
timestamp
required
string format: date-time
package_id
string
package_alias
string
ledger_id
string
Examples
ExampleProxyErrors

Proxy errors

{
"count": 1,
"next": null,
"previous": null,
"timezone": "UTC",
"start": "2026-07-01T00:00:00Z",
"end": "2026-07-02T00:00:00Z",
"results": [
{
"id": 987654,
"server_ip": "203.0.113.10",
"user_ip": "198.51.100.25",
"protocol": "http",
"method": "GET",
"user_id": "550e8400-e29b-41d4-a716-446655440001",
"reseller_id": "",
"username": "developer",
"hostname": "example.com",
"status_code": 407,
"error_code": 1001,
"error_message": "Proxy authentication failed",
"country": "us",
"region": "california",
"city": "los_angeles",
"asn": "15169",
"level": "warning",
"is_session": false,
"timestamp": "2026-07-01T12:30:00Z",
"package_id": "550e8400-e29b-41d4-a716-446655440002",
"package_alias": "residential-us",
"ledger_id": "550e8400-e29b-41d4-a716-446655440005"
}
]
}

The request is malformed or violates a business rule.

Media typeapplication/json

Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.

object
detail
string
non_field_errors
Array<string>
translation

Stable translation key suitable for client localisation.

string
key
additional properties
One of:
string
Examples
ExampleValidationError

Validation error

{
"non_field_errors": [
"The request could not be processed."
],
"translation": "errors.request.invalid"
}

Authentication credentials are missing, expired, or invalid.

Media typeapplication/json

Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.

object
detail
string
non_field_errors
Array<string>
translation

Stable translation key suitable for client localisation.

string
key
additional properties
One of:
string
Examples
ExampleAuthenticationRequired

Authentication required

{
"detail": "Authentication credentials were not provided."
}

The authenticated account cannot perform this operation.

Media typeapplication/json

Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.

object
detail
string
non_field_errors
Array<string>
translation

Stable translation key suitable for client localisation.

string
key
additional properties
One of:
string
Examples
ExamplePermissionDenied

Permission denied

{
"detail": "You do not have permission to perform this action."
}

The service could not complete the operation.

Media typeapplication/json

Validation and API error payload. Field names may be added dynamically; field errors are returned as arrays of human-readable messages.

object
detail
string
non_field_errors
Array<string>
translation

Stable translation key suitable for client localisation.

string
key
additional properties
One of:
string
Examples
ExampleInternalServiceError

Internal service error

{
"non_field_errors": [
"Internal server error."
]
}